<?php

		session_start();
		
		$users = $_POST['users'];
		$tab = explode(",",$users);
		// sauvegarde le talbkeau des users connectés dans SESSION
		$_SESSION['etat_connexion'] = $tab;
		
		
		//echo $_SESSION['etat_connexion'][0];
		
		//echo count($_SESSION['etat_connexion']);
		
		// cherche un element dans un tableau, il n'existe pas
		//$keys = array_search('green', $_SESSION['etat_connexion']);
		//echo $keys;
		
		// cherche un element dans un tableau
		//$keys = array_search('lulu', $_SESSION['etat_connexion']);
		//echo $keys;
		
		/*$id = $_POST['id'];
		$etat = $_POST['etat'];
		
		if( array_key_exists($id, $_SESSION['etat_connexion']) )
		{
			// existe, alors on rafraichi
			$_SESSION['etat_connexion'][$id] = $etat;
		}
		else
		{
			// nouveau, on le rajoute
			$ajout_array = array();
			$ajout_array = array($id=>$etat); 
			$_SESSION['etat_connexion'] = array_merge($_SESSION['etat_connexion'],$ajout_array );
		}
		*/
		
?>